Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

auto project datum planes

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
slphantom
708 Views, 4 Replies

auto project datum planes

is there a way to auto project datum planes that are square to the sketch?

just wondering.

thanks

Scott
win 11 64 bit
Nvida GeForce RTX 4000
Inventor Pro 2023
Space Explorer
4 REPLIES 4
Message 2 of 5
cwhetten
in reply to: slphantom

I wish there was, since this is my preferred method of constraining to the part origin.  Instead, I had to create part templates with the first sketch having the projected planes, one template each for sketching on the XY, XZ, & YZ planes (see attached).  I put the 0 in front of each template name so that they show up first in the list of templates.

Message 3 of 5

Hi slphantom,

 

Attached is an example file with an iLogic rule in it that might work for you. If you create an external iLogic rule with this code you'll have it available to run on any file.

 

Note that you need to be in a sketch edit for the rule to work.

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com

 

If Typeof ThisApplication.ActiveEditObject Is Sketch Then
'Do nothing
Else
MessageBox.Show("Activate a Sketch First then Run this Rule", "ilogic")
Return
End If

Dim oPartDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument

Dim oSelectSet As SelectSet 
oSelectSet = oPartDoc.SelectSet
oSelectSet.Clear 

'look at the workplane collection 
'and add each workplane to the select set
For Each oWorkPlane In oPartDoc.ComponentDefinition.WorkPlanes
oSelectSet.Select(oWorkPlane)
Next

'Project Geometry
ThisApplication.CommandManager.ControlDefinitions.Item("AppProjectGeometryWrapperCmd").Execute
'Cancels active command
ThisApplication.CommandManager.StopActiveCommand

 

Message 4 of 5

Here's another version that only projects Origin Planes.

 

If Typeof ThisApplication.ActiveEditObject Is Sketch Then
'Do nothing
Else
MessageBox.Show("Activate a Sketch First then Run this Rule", "ilogic")
Return
End If

Dim oPartDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument

Dim oSelectSet As SelectSet 
oSelectSet = oPartDoc.SelectSet
oSelectSet.Clear 

'look at the workplane collection 
For Each oWorkPlane In oPartDoc.ComponentDefinition.WorkPlanes
'find origin planes only
If oWorkPlane.IsCoordinateSystemElement = True Then 
oSelectSet.Select(oWorkPlane)
End If
Next

'Project Geometry
ThisApplication.CommandManager.ControlDefinitions.Item("AppProjectGeometryWrapperCmd").Execute
'Cancels active command
ThisApplication.CommandManager.StopActiveCommand

 

Message 5 of 5
z.baczo
in reply to: Curtis_Waguespack

Hi,

 

Sorry for bringing back to life an older thread but I'm also interested in this functionality.

 

What i'm interested in is: Is there a way to create a button on the ribbon (or a shortcut key) for this?
Maybe a macro or something? (I'm not very familiar with macros, not sure if it would be possible or not...).

 

Thanks in advance,

B.

 

(Inventor 2013).

Baczó.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report